*********************************
*******Balance check - Benin*****
*********************************

*import data

use "${Benin_data}/FEMALE2011_clean_long.dta", replace

*cleaning


merge m:1 id using "${Benin_data}/HHROSTER2011_educ.dta", keepusing(woman_level_educ) gen(merge_educ)
drop if merge_educ==2 


label values woman_level_educ educ


tab woman_level_educ , gen(educ)

tab partner_educ_all, gen(partner_educ)

*gen Married_ = (m15==2 |  m15==3 | m15==4)
*replace  Married_ =. if  m15==.









gen Married_ = (m15==2 |  m15==3 | m15==4)
replace  Married_ =. if  m15==.

**We need to keep only the women of the sample under study, that is to say women who answered the question f07, that is to say, women who have declared they are married or have a partner
gen sample = (f07_no_out !=. & Age<50)


global bc_var " Age educ1 educ2 educ3 educ4 educ5 nbs_household_members nbs_children_over_3  Married_  hh_head   partner_age_all  partner_educ1 partner_educ2 partner_educ3 partner_educ4 partner_educ5" 
 
global bc_var_num : word count $bc_var
des $bc_var, fullname
 

#delimit ;
 
*Create the table's columns:;
*Column containing the list of baseline covariates;
gen str32 var="";                                                         
 
*Columns for sample description (n, mean, sd);
for any end: gen X_n=. ;
for any end: gen X_mean=. ;
for any end: gen X_sd=. ;
 
*Columns for balancing tests;
for any treatment : gen X_mean=. \ gen X_pv=. \ gen X_sig="" \ gen X_se=.;
 
***1/ATTRITION;

           
***2/OTHER CHARACTERISTICS;
local vars $bc_var_num ;
 
for any $bc_var \ num 1/`vars':
 
replace var="X" if _n==(Y) \
 
sum X if time==0 & treated==0   & Age<50  & sample==1, detail \
 
            replace end_mean=r(mean) if _n==(Y) \
            replace end_sd=r(sd) if _n==(Y) \
sum X if time==0   & Age<50  & sample==1, detail \
            replace end_n=r(N) if _n==(Y) \
 
xi: reg X treated i.strata if Age<50 & time==0  & sample==1, vce(cluster codevil) \
             
     replace treatment_mean=_b[treated] if _n==(Y) \    
             replace treatment_se=_se[treated] if _n==(Y) \     
             test treated\
            replace treatment_pv=r(p) if _n==(Y) ;
           
*ROUNDING UP;
for var *_mean *_pv *_se : replace X=round(X, 0.0001);
 
*SIGNIFICANCE LEVEL;
for any treatment : replace X_sig=" " if (X_pv>0.1);
for any treatment: replace X_sig="*" if (X_pv>0.05&X_pv<=0.1);
for any treatment: replace X_sig="**" if (X_pv>0.01&X_pv<=0.05);
for any treatment : replace X_sig="***" if (X_pv<=0.01);
 
*REPLACING VARIABLE NAMES BY THEIR LABEL;
foreach var in $bc_var {;
 
            replace var=`"`:var label `var''"' if var=="`var'";
 
};


 
 gen ordering_var = _n ;




#delimit cr




gen Pval_H_Unadj = treatment_pv 

		sort Pval_H_Unadj 
		gen Pval_H_Unadj_order = _n if Pval_H_Unadj != . 
		egen m= max(Pval_H_Unadj_order) if Pval_H_Unadj != . 
		gen Pval_Adj = . 
		replace Pval_Adj = min(Pval_H_Unadj * m / Pval_H_Unadj_order,1) if Pval_H_Unadj_order != . 
		
		drop Pval_H_Unadj 
	for var Pval_Adj : replace X=round(X, 0.0001)
 
 sort ordering_var

 
*SAVING TABLE;
export excel var end_n end_mean end_sd treatment_mean treatment_se treatment_pv Pval_Adj treatment_sig  using "${Benin_output}/Sample description and balance checks - Benin.xls", keepcellfmt replace  firstrow(var)

drop var end_n end_mean end_sd treatment_mean treatment_pv treatment_sig treatment_se


 ***************************Attrition analysis ********************************
 /*
**women attrited between 2011 and 2015
 xi: reg attrited  treated i.strata if Age<50 & time==0 , vce(cluster codevil)
    sum  attrited  if Age<50 & time==0
   local C_mean  = r(mean)

 outreg2  using Tab5.xls, excel dec(3) ctitle("Attrition") keep( treated time  children_previous_union treated  Age age_square  hh_head  literate married_couple )  addstat(Control group mean period1, `C_mean') label replace
