
***********************************
********** RESULTS - GHANA ********
***********************************

use "${GHANA_data}/Female_module_based.dta", replace

label var treatment_FU1 "Treatment follow-up 1"
label var treatment_FU2 "Treatment follow-up 2"

gen n_children_bl = (n_women_son_head_bef + n_women_daughter_head_bef)
replace n_children_bl=. if (n_women_son_head_bef ==. & n_women_daughter_head_bef==.)

label var n_children_bl "Number of children at baseline born before treatment"

*****************************************************
************ AVERAGE TREATMENT EFFECT ***************
****************************************************

reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2 time n_children_bl  i.hhtype i.s2a_6  mv_Can_read_English Missing_Can_read_English  Age age_square  i.village_code  if Age<50 , vce(cluster village_code)
sum  FMS_marage_totchildborn if treatment== 0 & Age<50 & time==0
local C_mean = r(mean)
test _b[treatment_FU1]=_b[treatment_FU2]
local p_val = r(p)
outreg2  using "${GHANA_output}/ATE.xls", excel dec(3) ctitle("Number of children at endline") keep( treatment_FU1 treatment_FU2  ) addstat(Control group mean, `C_mean', p-val, `p_val') label replace
  


****************************************************
************ HETEROGENEOUS TREATMENT EFFECT ********
****************************************************

*****************************Depending on : whether the husband is akan

reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2  time  ib(last).hhtype  i.s2a_6   n_children_bl  Age age_square   i.village_code mv_Can_read_English Missing_Can_read_English if Age<50  & head_akan_male==0 , vce(cluster village_code)
 sum  FMS_marage_totchildborn if treatment_stc==0 & Age<50 & married==1 & head_akan_male==0 & time==0
  local C_mean = r(mean)
outreg2  using "${GHANA_output}/HTE_akan.xls", excel dec(3) ctitle("Husband head no akan") keep(treatment_FU1 treatment_FU2    )  addstat(Control group mean, `C_mean') label replace


reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2  time  ib(last).hhtype   n_children_bl   Age age_square i.village_code mv_Can_read_English Missing_Can_read_English if Age<50  & head_akan_male==1 , vce(cluster village_code)
  est store reg2
  sum  FMS_marage_totchildborn if treatment_stc== 0 & Age<50 & married==1 & head_akan_male==1 & time==0
  local C_mean = r(mean)
outreg2  using "${GHANA_output}/HTE_akan.xls", excel dec(3) ctitle("Husband head akan") keep(treatment_FU1 treatment_FU2      )  addstat(Control group mean, `C_mean')  label append


reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2  time   ib(last).hhtype n_children_bl  i.s2a_6  Age age_square  i.village_code mv_Can_read_English Missing_Can_read_English if Age<50  & head_akan_male==0  
 est store reg1
reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2  time  ib(last).hhtype  n_children_bl   Age age_square  i.village_code mv_Can_read_English Missing_Can_read_English if Age<50 & head_akan_male==1 
 est store reg2
 
suest reg1 reg2 , vce(cluster village_code)

test [reg1_mean]treatment_FU1 =[reg2_mean]treatment_FU1
local p_val_1 = r(p)
test [reg1_mean]treatment_FU2 =[reg2_mean]treatment_FU2
local p_val_2 = r(p)

putexcel set "${GHANA_output}/HTE_akan_test.xlsx", sheet("test diff")  replace
 putexcel A1="p-val period 1" B1="p-val period 2"
  putexcel A2=`p_val_1' B2=`p_val_2'			
			

*****************************Depending on : women own at least one plot

merge m:1 unique_id using "${GHANA_data}/Baseline Household Data_temp.dta" , keepusing(w_own_at_least) gen(Merge_land)

reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2 time  Age age_square  i.s2a_6 i.hhtype  i.village_code  n_children_bl  mv_Can_read_English Missing_Can_read_English if Age<50   &   w_own_at_least==1, vce(cluster village_code)
 sum  FMS_marage_totchildborn if treatment== 0 &  Age<50   &   w_own_at_least==1
  local C_mean = r(mean)
outreg2  using "${GHANA_output}/HTE_own_plot.xls", excel dec(3) ctitle("Woman owns at least one land") keep( treatment_FU1 treatment_FU2    ) addstat(Control group mean, `C_mean') label replace


reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2 time   Age age_square  i.s2a_6 i.hhtype i.village_code n_children_bl mv_Can_read_English Missing_Can_read_English if Age<50  &   w_own_at_least==0 , vce(cluster village_code)
  sum  FMS_marage_totchildborn if treatment== 0 &  Age<50   &   w_own_at_least==0
  local C_mean = r(mean)
outreg2  using "${GHANA_output}/HTE_own_plot.xls", excel dec(3) ctitle("Woman does not own at least one land") keep( treatment_FU1 treatment_FU2  ) addstat(Control group mean, `C_mean') label append


reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2 time    Age age_square w_hh_head i.s2a_6 i.hhtype  i.village_code n_children_bl  mv_Can_read_English Missing_Can_read_English  if Age<50  &   w_own_at_least==1   
  est store reg1
reg  FMS_marage_totchildborn treatment_FU1 treatment_FU2 time   Age age_square w_hh_head i.s2a_6 i.hhtype i.village_code n_children_bl mv_Can_read_English Missing_Can_read_English if Age<50   &   w_own_at_least==0
   est store reg2

suest reg1 reg2 , vce(cluster village_code)

test [reg1_mean]treatment_FU1 =[reg2_mean]treatment_FU1
local p_val_1 = r(p)
test [reg1_mean]treatment_FU2 =[reg2_mean]treatment_FU2
local p_val_2 = r(p)
putexcel set "${GHANA_output}/HTE_own_plot_test.xls", sheet("test diff")  replace
 putexcel A1="Difference test p-val: period 1" B1="Difference test p-val: period 2"
  putexcel A2=`p_val_1' B2=`p_val_2'			
			
*****************************Impact on women labour supply 

egen unique_id_member= concat(unique_id mid), punct(_)
 
 
merge m:1 unique_id_member using  "${GHANA_data}/MODULE 2 - EMPLOYMENT_temp.dta", keepusing(s2bi_3 s2bi_4 s2bi_5 s2bi_6 s2bi_7 s2bi_8i s2bi_8ii s2bi_9i s2bi_9ii s2bi_10i s2bi_10ii s2bii_18 s2bii_19 s2bii_20 s2bii_21 s2bii_22 s2bii_23i s2bii_23ii s2bii_24i s2bii_24ii s2bii_25i s2bii_25ii s2bii_26 s2bii_27) gen(merge_employed_work)
 
drop if merge_employed_work==2
 

gen _Merge_Employed_work_2010 =1 
label var  _Merge_Employed_work_2010 "Woman Employed work in 2010"
order _Merge_Employed_work_2010 ,before (s2bi_3)
rename _Merge_Employed_work_2010  ____Merge_Employed_work_2010____
  
merge m:1 unique_id_member using  "${GHANA_data}/MODULE 5 - PART AB_FEMALE_temp.dta", keepusing(total_days_working_lstm) gen(merge_self_employed_off_farm)
  
drop if merge_self_employed_off_farm==2
  
gen __Merge_self_employed_2010__ = 1 
label var __Merge_self_employed_2010__ "MERGE self-employed 2010"
    
replace total_days_working_lstm=0 if total_days_working_lstm==. & time==0
replace total_days_working_lstm=. if time==1
  
winsor2  total_days_working_lstm, replace cuts(1 99)
  
   
**Work employed 

gen nbs_days_worked = s2bi_10i
replace nbs_days_worked= 0 if s2bi_3==.
replace nbs_days_worked=. if time==1
   
gen nbs_days_sec = s2bii_25i
replace  nbs_days_sec=0 if s2bii_18==.
replace nbs_days_sec =. if time==1
   
gen nbs_days_worked_empl = nbs_days_worked+nbs_days_sec 
label var nbs_days_worked_empl "Number of days worked per week last 3 months"
   
    
reg  total_days_working_lstm  treatment  n_children_bl   i.hhtype  w_hh_head mv_Can_read_English Missing_Can_read_English  Age age_square  i.village_code  if Age<50 & time==0 , vce(cluster village_code)
sum  total_days_working_lstm if treatment== 0 & Age<50 & time==0
local C_mean = r(mean)
outreg2  using "${GHANA_output}/labour_supply.xls", excel dec(3) ctitle("Days worked in self-employment (past month)") keep( treatment    ) addstat(Control group mean, `C_mean') label replace

reg  nbs_days_worked_empl  treatment   n_children_bl   i.hhtype  w_hh_head mv_Can_read_English Missing_Can_read_English  Age age_square  i.village_code  if Age<50 & time==0, vce(cluster village_code)
sum  nbs_days_worked_empl if treatment== 0 & Age<50 & time==0
local C_mean = r(mean)
outreg2  using "${GHANA_output}/labour_supply.xls", excel dec(3) ctitle("Nbs of days worked per week (past 3 months)") keep( treatment   ) addstat(Control group mean, `C_mean') label append
