
*********************************
*******Balance check - GHANA*****
*********************************

use "${GHANA_data}/Female_module_based.dta", replace

 
 gen head_husband_school = head_anyschool if head_sex==1
 replace head_husband_school=. if head_anyschool ==.
 label var head_husband_school "Head husband any education"
 
 
 
gen n_children_bl = (n_women_son_head_bef + n_women_daughter_head_bef)
replace n_children_bl=. if (n_women_son_head_bef ==. & n_women_daughter_head_bef==.)

label var n_children_bl "Number of children at baseline born before treatment"

/*
**On génère la variable d'attrition 
bysort unique_id : gen num = _n
 
gen attrited_fu1_fu2 = ( num ==1 & num[_n+1] ==1)
label attrited_fu1_fu2 "attrited"
replace attrited_fu1_fu2=. if time ==1
 */
 
 
**Married (and not in consensual union)

gen Married_ = (s2a_6==4)
replace Married_=. if s2a_6==.
label var Married_ "Married"

 
 
 replace partner_age_all = . if partner_age_all==0
 
 **labeling 
 
 label var no_education "Women no educ"
 label var primary_educ "Women primary educ"
 label var secondary_educ " Women secondary educ"
 label var  High_school "Women high school"
 label var Higher_educ "Women higher education"

 label var  p_no_education  "Partner no educ"
  label var  p_primary_educ "Partner primary educ"
  label var  p_secondary_educ "Partner secondary educ"
  label var  p_High_school "Partner High school"
  label var  p_Higher_educ"Partner Higher education"
 
 label var partner_age_all "Partner age"

 
**NB : number of children under 18 from the head are the children born before the beginning of the treatment 

**Why is there only 570 obs? 

**women under study are women who responded to the the question "how many children have you had with your husband/partner" from the marital module

gen sample = (FMS_marage_totchildborn !=. & Age<50)



***BALANCE CHECK FU1
#delimit ;

global bc_var ="Age no_education primary_educ secondary_educ High_school Higher_educ  num_HHmembers n_children_bl   Married_  w_hh_head partner_age_all  p_no_education p_primary_educ p_secondary_educ p_High_school p_Higher_educ " ;

global bc_var_num : word count $bc_var ;
des $bc_var, fullname ;
 
*Create the table's columns:;
*Column containing the list of baseline covariates;
gen str32 var="";                                                         
 
*Columns for sample description (n, mean, sd);
for any end: gen X_n=. ;
for any end: gen X_mean=. ;
for any end: gen X_sd=. ;
 
*Columns for balancing tests;
for any treatment : gen X_mean=. \ gen X_pv=. \ gen X_sig="" \ gen X_se=.;
 
***1/ATTRITION;
replace var="Attrition" if _n==1;
 
sum attrited_fu1_fu2 if time==0 & sample==1, detail;
 
            replace end_mean=r(mean) if _n==1;
            replace end_sd=r(sd) if _n==1;
            replace end_n=r(N) if _n==1;
 
xi: reg attrited_fu1_fu2 treatment_FU1 i.village_code  if Age<50 & sample==1 ;
           
     replace treatment_mean=_b[treatment_FU1] if _n==1;
            replace treatment_se=_se[treatment_FU1] if _n==1;
            test treatment_FU1;
            replace treatment_pv=r(p) if _n==1;
           
***2/OTHER CHARACTERISTICS;
local vars $bc_var_num ;
 
for any $bc_var \ num 1/`vars':
 
replace var="X" if _n==(Y+1) \
 
sum X if Age<50  & time==0 & treatment_FU1==0 & sample==1, detail \
 
            replace end_mean=r(mean) if _n==(Y+1) \
            replace end_sd=r(sd) if _n==(Y+1) \
	sum X if Age<50  & time==0 & married==1 & sample==1, detail \
            replace end_n=r(N) if _n==(Y+1) \
 
xi: reg X treatment_FU1 i.village_code  if  Age<50  & time==0  & sample==1 \
             
     replace treatment_mean=_b[treatment_FU1] if _n==(Y+1) \    
             replace treatment_se=_se[treatment_FU1] if _n==(Y+1) \     
             test treatment_FU1 \
            replace treatment_pv=r(p) if _n==(Y+1) ;
           
*ROUNDING UP;
for var *_mean *_pv : replace X=round(X, 0.0001);
 
*SIGNIFICANCE LEVEL;
for any treatment : replace X_sig=" " if (X_pv>0.1);
for any treatment: replace X_sig="*" if (X_pv>0.05&X_pv<=0.1);
for any treatment: replace X_sig="**" if (X_pv>0.01&X_pv<=0.05);
for any treatment : replace X_sig="***" if (X_pv<=0.01);
 
*REPLACING VARIABLE NAMES BY THEIR LABEL;
foreach var in $bc_var {;
 
            replace var=`"`:var label `var''"' if var=="`var'";
 
};
 
*SAVING TABLE;
export excel var
                        end_n end_mean end_sd
                         treatment_mean treatment_se treatment_pv treatment_sig 
                         if _n<=(`vars'+1) using "${GHANA_output}/Sample description and balance checks- Ghana.xlsx", replace  firstrow(var);
#delimit cr
drop var end_n end_mean end_sd treatment_mean treatment_pv treatment_sig treatment_se

 reg attrited_fu1_fu2 treatment_FU1 i.village_code  if Age<50 
 sum  attrited_fu1_fu2 if Age<50 & time==0
   local C_mean  = r(mean)
 outreg2  using Tab5.xls, excel dec(3) ctitle("Attrition") keep( treatment_FU1  )  addstat(Attrition rate, `C_mean') label replace
