
***********************************
********** RESULTS - RWANDA **********
***********************************


*Import data

use  "${RWA_data}/women_under_study.dta", replace


*****************************************************
************ AVERAGE TREATMENT EFFECT ***************
*****************************************************
  
gen number_children_2012 = women_children_bl + had_child_post
replace number_children_2012=. if women_children_bl==. &  had_child_post==.
 
******Outcome : number of children at endline
 reg number_children_2012 treatment women_children_bl  age age_square  i.religion polygamous_hhd female_hh_head   if time==0 & age <50 & married==1, vce(cluster cluster)
 sum number_children_2012 if treatment==0 & time==0 & age <50 & married==1
  local C_mean = r(mean)
outreg2  using "${RWA_output}/ATE.xls", excel dec(3) ctitle("Number of children at endline") keep(treatment )  addstat(Control group mean, `C_mean') label replace




******Outcome : had a child post treatment
reg  had_child_post treatment women_children_bl  age age_square  i.religion polygamous_hhd female_hh_head   if time==0 & age <50 & married==1, vce(cluster cluster)
 sum had_child_post if treatment==0 & time==0 & age <50 & married==1
  local C_mean = r(mean)
outreg2  using "${RWA_output}/ATE.xls", excel dec(3) ctitle("Had a child post treatment") keep(treatment )  addstat(Control group mean, `C_mean') label append


*****************************************************
************ HETEROGENEOUS TREATMENT EFFECT *********
*****************************************************


******Outcome : at least one son



reg  number_children_2012 treatment women_children_bl  age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50 & married==1 & at_least_one_son==0, vce(cluster cluster)
sum number_children_2012 if treatment==0 & time==0 & age <50 & at_least_one_son==0
local C_mean = r(mean)
outreg2  using "${RWA_output}/HTE_son.xls", excel dec(3) ctitle("If woman has no son") keep(treatment  )  addstat(Control group mean, `C_mean') addtext(interaction term period 1 , `beta' , p-value , `Pval')  label replace

reg  number_children_2012 treatment women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50  & married==1 & at_least_one_son==1, vce(cluster cluster)
sum number_children_2012 if treatment==0 & time==0 & age <50 & at_least_one_son==1
local C_mean = r(mean)
outreg2  using "${RWA_output}/HTE_son.xls", excel dec(3) ctitle("If woman has at least one son") keep(treatment  )  addstat(Control group mean, `C_mean') addtext(interaction term period 1 , `beta' , p-value , `Pval')  label append

  	
reg  number_children_2012 treatment  women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50  & married==1 & at_least_one_son==0
est store reg1
reg   number_children_2012 treatment  women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50   & married==1 & at_least_one_son==1
est store reg2

suest reg1 reg2 , vce(cluster cluster)

test [reg1_mean]treatment =[reg2_mean]treatment
local p_val = r(p)
 putexcel set "${RWA_output}/HTE_son_test.xls", sheet("test diff")  replace
 putexcel A1="p-val" 
  putexcel A2=`p_val' 
			


******Outcome : Women has rivals

  	reg  number_children_2012 treatment women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50 & married==1 & has_rivals==0, vce(cluster cluster)
 sum number_children_2012 if treatment==0 & time==0 & age <50 & has_rivals==0
  local C_mean = r(mean)
  outreg2  using "${RWA_output}/rivals.xls", excel dec(3) ctitle("Woman has no rivals") keep(treatment   )  addstat(Control group mean, `C_mean') addtext(interaction term period 1 , `beta' , p-value , `Pval')  label replace

 reg  number_children_2012 treatment women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50  & married==1 & has_rivals==1, vce(cluster cluster)
 sum number_children_2012 if treatment==0 & time==0 & age <50 & has_rivals==1
  local C_mean = r(mean)
  outreg2  using "${RWA_output}/rivals.xls", excel dec(3) ctitle("If woman has rivals") keep(treatment   )  addstat(Control group mean, `C_mean') addtext(interaction term period 1 , `beta' , p-value , `Pval')  label append

  	
	reg  number_children_2012 treatment  women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50  & married==1 & has_rivals==0
	est store reg1
reg   number_children_2012 treatment  women_children_bl Married age age_square female_hh_head  i.religion polygamous_hhd  if time==0 & age <50   & married==1 & has_rivals==1
est store reg2

suest reg1 reg2 , vce(cluster cluster)

test [reg1_mean]treatment =[reg2_mean]treatment
local p_val = r(p)
 putexcel set "${RWA_output}/rivals_test.xls", sheet("test diff")  replace
 putexcel A1="p-val" 
  putexcel A2=`p_val' 
			
