
*********************************
*******Balance check - RWANDA****
*********************************
use  "${RWA_data}/women_under_study.dta", replace



global bc_var " age  nbs_household_members women_children_bl  Married_ female_hh_head age_partner_all  partner_farmer partner_employed partner_unemployed partner_other" 

global bc_var_num : word count $bc_var
des $bc_var, fullname
 		

#delimit ;
 
*Create the table's columns:;
*Column containing the list of baseline covariates;
gen str32 var="";                                                         
 
*Columns for sample description (n, mean, sd);
for any end: gen X_n=. ;
for any end: gen X_mean=. ;
for any end: gen X_sd=. ;
 
*Columns for balancing tests;
for any treatment : gen X_mean=. \ gen X_pv=. \ gen X_sig="" \ gen X_se=.;
 
***1/ATTRITION;
replace var="Attrition" if _n==1;
 
sum  all_attrited if age<50 & married==1 & treatment==0, detail; 
 
            replace end_mean=r(mean) if _n==1;
            replace end_sd=r(sd) if _n==1;
sum  all_attrited if age<50 & married==1 , detail; 
            replace end_n=r(N) if _n==1;
 
xi: reg all_attrited  treatment if age<50 & married==1, vce(cluster cluster) ;
           
     replace treatment_mean=_b[treatment] if _n==1;
            replace treatment_se=_se[treatment] if _n==1;
            test treatment;
            replace treatment_pv=r(p) if _n==1;
           
***2/OTHER CHARACTERISTICS;
local vars $bc_var_num ;
 
for any $bc_var \ num 1/`vars':
 
replace var="X" if _n==(Y+1) \
 
sum X if age<50 &  all_attrited ==0 & treatment==0  & married==1,  detail \
 
            replace end_mean=r(mean) if _n==(Y+1) \
            replace end_sd=r(sd) if _n==(Y+1) \
			
sum X if age<50 &  all_attrited ==0 & married==1, detail \
            replace end_n=r(N) if _n==(Y+1) \
 
xi: reg X treatment if all_attrited==0 & age<50 & married==1, vce(cluster cluster) \
             
     replace treatment_mean=_b[treatment] if _n==(Y+1) \    
             replace treatment_se=_se[treatment] if _n==(Y+1) \     
             test treatment\
            replace treatment_pv=r(p) if _n==(Y+1) ;
           
*ROUNDING UP;
for var *_mean *_pv  *_se: replace X=round(X, 0.0001);
 
 
 
*SIGNIFICANCE LEVEL;
for any treatment : replace X_sig=" " if (X_pv>0.1);
for any treatment: replace X_sig="*" if (X_pv>0.05&X_pv<=0.1);
for any treatment: replace X_sig="**" if (X_pv>0.01&X_pv<=0.05);
for any treatment : replace X_sig="***" if (X_pv<=0.01);
 
*REPLACING VARIABLE NAMES BY THEIR LABEL;
foreach var in $bc_var {;
 
            replace var=`"`:var label `var''"' if var=="`var'";
 
};

 gen ordering_var = _n ;
#delimit cr




gen Pval_H_Unadj = treatment_pv 

		sort Pval_H_Unadj 
		gen Pval_H_Unadj_order = _n if Pval_H_Unadj != . 
		egen m= max(Pval_H_Unadj_order) if Pval_H_Unadj != . 
		gen Pval_Adj = . 
		replace Pval_Adj = min(Pval_H_Unadj * m / Pval_H_Unadj_order,1) if Pval_H_Unadj_order != . 
		
		drop Pval_H_Unadj 
	for var Pval_Adj : replace X=round(X, 0.0001)
 
 sort ordering_var


 
*SAVING TABLE;
export excel var end_n end_mean end_sd  treatment_mean treatment_se treatment_pv Pval_Adj treatment_sig using "${RWA_output}/Sample description and balance checks - RWANDA.xlsx", replace keepcellfmt firstrow(var)
