
***********************************
********** RESULTS - TOGO *********
***********************************


*Import data

use "${TOGO_data}/household_under_study.dta", clear

  
    
  
*****************************************************
************ AVERAGE TREATMENT EFFECT ***************
*****************************************************


**Outcome: number of children
reg Nbs_children_under_5_FU3 PI Trad_training   Nbs_children_under_5_BL female_educ female_age age_square  women_hh_head   nbs_hh_members    hh_asset_index if female_age<50 & female_respondent==1 & married_or_couple==1, a(strata)
sum Nbs_children_under_5_FU3  if female_age<50 & female_respondent==1 & married_or_couple==1
local C_mean = r(mean)
outreg2 _1 using "${TOGO_output}/ATE.xls", excel dec(3) ctitle("Number of children under 5") keep(PI    ) addstat(Control group mean, `C_mean') label replace 

*Outcome: have had at least one child post treatment 



reg  new_member_under_5_d_mis  PI Trad_training  Nbs_children_under_5_BL   female_educ female_age age_square  women_hh_head   nbs_hh_members hh_asset_index  if female_age<50 & female_respondent==1 & married_or_couple==1 , a(strata)
sum new_member_under_5_d_mis if control_group==1 & female_age<50 & female_respondent==1 & married_or_couple==1 
local C_mean = r(mean)
outreg2 _1 using  "${TOGO_output}/ATE.xls", excel dec(3) ctitle() keep(PI Trad_training    married_or_couple female_educ female_age age_square  women_hh_head nbs_hh_members  hh_asset_index  ) addstat(Control group mean, `C_mean') label append
 
***********************************************************
************ HETEROGENEOUS TREATMENT EFFECT ***************
***********************************************************

************ DEPENDING ON: AT LEAST ONE SON AT BASELINE ***************

reg  Nbs_children_under_5_FU3    PI Trad_training  Nbs_children_under_5_BL     female_educ female_age age_square  women_hh_head   nbs_hh_members hh_asset_index  if female_age<50 & female_respondent==1 & at_least_one_boy_2==1 &  married_or_couple==1, a(strata)
sum  Nbs_children_under_5_FU3     if control_group==1 & female_age<50 & female_respondent==1 & at_least_one_boy_2==1 &  married_or_couple==1
local C_mean = r(mean)
outreg2 _1 using  "${TOGO_output}/HTE_son.xls", excel dec(3) ctitle("at least one son") keep(PI   ) addstat(Control group mean, `C_mean')  label replace
est store reg1
 
reg Nbs_children_under_5_FU3  PI Trad_training   Nbs_children_under_5_BL   female_educ female_age age_square  women_hh_head   nbs_hh_members  hh_asset_index  if female_age<50 & female_respondent==1 & at_least_one_boy_2==0 &  married_or_couple==1, a(strata)
sum Nbs_children_under_5_FU3     if control_group==1 & female_age<50 & female_respondent==1 & at_least_one_boy_2==0 &  married_or_couple==1
local C_mean = r(mean)
outreg2 _1 using "${TOGO_output}/HTE_son.xls", excel dec(3) ctitle("No son") keep(PI   ) addstat(Control group mean, `C_mean') label append
est store reg2


quietly reg  Nbs_children_under_5_FU3    PI Trad_training  Nbs_children_under_5_BL    married_or_couple female_educ female_age age_square  women_hh_head   nbs_hh_members hh_asset_index    ib(248).strata   if female_age<50 & female_respondent==1 & at_least_one_boy_2==1 &  married_or_couple==1
 est store reg1
 quietly reg Nbs_children_under_5_FU3  PI Trad_training   Nbs_children_under_5_BL   married_or_couple female_educ female_age age_square  women_hh_head   nbs_hh_members  hh_asset_index  ib(248).strata  if female_age<50 & female_respondent==1 & at_least_one_boy_2==0 &  married_or_couple==1
 est store reg2

 suest reg1 reg2
			test [reg1_mean]PI =[reg2_mean]PI 
			local p_val = r(p)
			
putexcel set "${TOGO_output}/HTE_son_test.xlsx", sheet("test diff")  replace
 putexcel A1="p-val" 
  putexcel A2=`p_val' 


			
************ DEPENDING ON: HOUSEHOLDS' WEALTH ***************	

****plotting the relation between household wealth and fertility at baseline

**Number of children in household

gen number_children_hh_bl = 	(q177_nb_hom_1 +q177_nb_hom_2 +q177_nb_fem_1 +q177_nb_fem_2	)
replace number_children_hh_bl=. if q177_nb_hom_1==. & q177_nb_hom_2==. & q177_nb_fem_1==. & q177_nb_fem_2==.
label var number_children_hh_bl "number of children from 0 to 17 in the household at baseline"

xtile hh_index_pc_2 = hh_asset_index, nq(10)
label var hh_index_pc_2 "Household asset index deciles"


set scheme rainbow
preserve
collapse number_children_hh_bl , by(hh_index_pc_2)
scatter number_children_hh_bl hh_index_pc_2 , connect(1) ytitle(Number of children at baseline) xtitle(Household asset index)
graph export  "${TOGO_output}/graph_wealth.png", replace as (png)
restore



***household asset index median in the sample 
sum hh_asset_index if female_age<50 & female_respondent==1 & married_or_couple==1, det
return list 
gen below_med_3 = (hh_asset_index<r(p50))

 
 reg  Nbs_children_under_5_FU3   PI Trad_training    Nbs_children_under_5_BL   female_educ married_or_couple female_age age_square  women_hh_head   nbs_hh_members   ib(248).strata  if female_age<50 & female_respondent==1 & below_med_3==1  & married_or_couple==1 
    est store reg1
   sum Nbs_children_under_5_FU3  if control_group==1 & female_respondent==1 & below_med_3==1  & married_or_couple==1
   local C_mean = r(mean)
   outreg2 _1 using "${TOGO_output}/HTE_wealth.xls", excel dec(3) ctitle("Household asset index below median") keep(PI  ) addstat(Control group mean, `C_mean')  label replace
 
 
   reg Nbs_children_under_5_FU3 PI Trad_training    Nbs_children_under_5_BL  female_educ married_or_couple female_age age_square  women_hh_head   nbs_hh_members   ib(248).strata  if female_age<50 & female_respondent==1 & below_med_3==0    & married_or_couple==1  
    est store reg2
   sum Nbs_children_under_5_FU3  if control_group==1 & female_respondent==1 & below_med_3==0   & married_or_couple==1
   local C_mean = r(mean)
  outreg2 _1 using "${TOGO_output}/HTE_wealth.xls", excel dec(3) ctitle("Household asset index above median") keep(PI ) addstat(Control group mean, `C_mean')  label append

 reg  Nbs_children_under_5_FU3    PI Trad_training  Nbs_children_under_5_BL     female_educ female_age age_square  women_hh_head   nbs_hh_members  ib(248).strata if female_age<50 & female_respondent==1 & below_med_3==0  & married_or_couple==1  
 est store reg1
 reg Nbs_children_under_5_FU3  PI Trad_training   Nbs_children_under_5_BL    female_educ female_age age_square  women_hh_head   nbs_hh_members  ib(248).strata  if female_age<50 & female_respondent==1 & below_med_3==1  & married_or_couple==1  
 est store reg2

 suest reg1 reg2
			test [reg1_mean]PI =[reg2_mean]PI 
	local p_val = r(p)
			
putexcel set "${TOGO_output}/HTE_wealth_test.xlsx", sheet("test diff")  replace
 putexcel A1="p-val" 
  putexcel A2=`p_val' 			
			
			
			
**************Impact when the man is the recipient of the treatment

*Men education

gen level_educ = 1 if q155==1 
replace level_educ = 2 if q155==2 |q155==3 |q155==4 |q155==5 | q155==6 |q155==7 
replace level_educ = 3 if  q155==8| q155==9 | q155==10 | q155==11
replace level_educ= 4 if   q155==12 | q155==13 | q155==14
replace level_educ = 5 if   q154>6 
replace level_educ=. if q155==. & q154==.


label define educ_1 1 "Never been to school" 2 "Primary education" 3 "Middle school completed" 4 "High school " 5 "Higher education"
label val  level_educ educ_1
 label var level_educ "Level of education"

label var q41_age "Age"
gen age_square_2 = q41_age*q41_age
label var age_square_2 "Age square"



reg  Nbs_children_under_5_FU3   PI Trad_training    Nbs_children_under_5_BL   female_age age_square  women_hh_head i.level_educ   nbs_hh_members  q41_age age_square_2 ib(248).strata  if female_age<50 & q40==2   & married_or_couple==1 
sum Nbs_children_under_5_FU3 if control_group==1 & female_age<50 & q40==2  & married_or_couple==1
local C_mean = r(mean)
outreg2 _1 using "${TOGO_output}/ATE_man.xls", excel dec(3) ctitle("Number of children under 5 in household") keep(PI Trad_training  ) addstat(Control group mean, `C_mean')  label replace
 




			
			
***************Robustness check : Impact on women who ended their reproductive life, to make sure that the effect is not due to "fostering"
  
  reg Nbs_children_under_5_FU3 PI Trad_training   Nbs_children_under_5_BL female_educ female_age age_square  women_hh_head   nbs_hh_members    hh_asset_index if female_age>45 & female_respondent==1 & married_or_couple==1, a(strata)
    sum Nbs_children_under_5_FU3  if female_age>45 & female_respondent==1 & married_or_couple==1
   local C_mean = r(mean)
  outreg2 _1 using "${TOGO_output}/test_fostering.xls", excel dec(3) ctitle("Number of children") keep(PI Trad_training       ) addstat(Control group mean, `C_mean') label replace 

 
***************Robustness check : Placebo test 

  
reg Nbs_children_under_5_FU3 PI  Trad_training  Nbs_children_under_5_BL female_educ female_age age_square  women_hh_head   nbs_hh_members    hh_asset_index if female_age<50 & female_respondent==1 & married_or_couple==1, a(strata)
sum Nbs_children_under_5_FU3  if female_age<50 & female_respondent==1 & married_or_couple==1
local C_mean = r(mean)
test PI =Trad_training
local p_val = r(p)
outreg2 _1 using "${TOGO_output}/placebo.xls", excel dec(3) ctitle() keep(PI Trad_training) addstat(Control group mean, `C_mean', p-val PI=TT, `p_val') label replace 

test PI =Trad_training



**********Impact on women labour supply 			
			

merge 1:1 id_entreprise using  "${TOGO_data}/FU1_raw_an_old_temp.dta",keepusing(FU1_p4q6)  gen(Merge_FU1_laboursupply)



merge 1:1 id_entreprise using "${TOGO_data}/FU2_raw_an_old_temp.dta",keepusing(FU2_p4q7)  gen(Merge_FU2_laboursupply)



merge 1:1 id_entreprise using "${TOGO_data}/FU3_raw_an_old_temp.dta", keepusing(FU3_p4q7) gen(Merge_FU3_laboursupply)



merge 1:1 id_entreprise using "${TOGO_data}/FU4_raw_an_old_temp.dta", keepusing(FU4_p3q8) gen(Merge_FU4_laboursupply)

 
**Change format from wide to long 

rename FU1_p4q6 p4q6_1
rename FU2_p4q7 p4q6_2
rename FU3_p4q7 p4q6_3
rename FU4_p3q8 p4q6_4


reshape long p4q6_, i(id_entreprise) j(time)  


**Winsorize the outcome 

 winsor2 p4q6 , replace cuts(1 99)


 reg p4q6_  PI Trad_training  i.time Nbs_children_under_5_BL q67 i.female_educ female_age age_square  women_hh_head   nbs_hh_members    hh_asset_index i.strata if female_age<50 & female_respondent==1 & married_or_couple==1, cluster(id_entreprise) robust
    sum p4q6_ if female_age<50 & female_respondent==1 & married_or_couple==1
   local C_mean = r(mean)
  outreg2 _1 using "${TOGO_output}/labour_supply.xls", excel dec(3) ctitle("Hours worked in self employment (typical week)") keep(PI  ) addstat(Control group mean, `C_mean') label replace 
  
  




