***********************************
********** RESULTS - WALN *********
***********************************


*Import data
use "${WALN_data}/restricted_data.dta", replace

**Treatment variables
gen Dmentor_1 = (Dmentor==1 & survey_round_n==1)
replace Dmentor_1=. if Dmentor==. 
replace Dmentor_1=. if survey_round_n==2 
   
gen Dmentor_2 = (Dmentor==1 & survey_round_n==3)
replace Dmentor_2=. if Dmentor==. 
replace Dmentor_2=. if survey_round_n==2 
   

   
*****************************************************
************ AVERAGE TREATMENT EFFECT ***************
*****************************************************

****outcome : number of children post treatment
reg a2113  Dmentor_1 Dmentor_2 time num_child_bl i.mentor_strat_bl_1 married level_educ Age  age_square a211_bl a211a_bl if Age<50 & married==1 
sum a2113   if  Dmentor==0 & time ==0 & married==1
local C_mean = r(mean)
sum a2113  if  Dmentor==0 & time ==1 & married==1
local C_mean_2 = r(mean)
test _b[ Dmentor_1] =_b[ Dmentor_2 ]
  local p_val = r(p)
outreg2  using "${WALN_output}/ATE.xls", excel dec(3) ctitle("Number of children") keep( Dmentor_1 Dmentor_2 ) addstat(Control group mean -follow-up 1, `C_mean', Control group mean -follow-up 2, `C_mean_2', p-val, `p_val')  label replace




****outcome : had a child post treatment

**Building the outcome
gen child_delta_0 = ( a2113-num_child_bl ) if Dmentor !=. & survey_round_n==1
gen child_delta_3 = ( a2113-num_child_bl ) if Dmentor !=. & survey_round_n==3
*there is on year between baseline and fu1 so women cannot have had more than 1 years during the period
replace child_delta_0=. if child_delta_0>2
replace child_delta_0=. if child_delta_0< -3
*there are 3 years and  between baseline and fu1 so women cannot have had more than 1 years during the period
replace child_delta_3=. if child_delta_3>4
replace child_delta_3=. if child_delta_3< -4

gen child_post_treat = (child_delta_0>0) if survey_round_n == 1
replace child_post_treat =1 if (child_delta_3>0) & survey_round_n == 3
replace child_post_treat =. if survey_round_n ==2

  
reg child_post_treat Dmentor_1 Dmentor_2 time num_child_bl i.mentor_strat_bl_1 married level_educ Age  age_square a211_bl a211a_bl if Age<50 & married==1 
sum child_post_treat  if  Dmentor==0 & time ==0 & Age<50 & married==1 
local C_mean = r(mean)
sum child_post_treat if  Dmentor==0 & time ==1 & Age<50 & married==1 
local C_mean_2 = r(mean)
test _b[ Dmentor_1] =_b[ Dmentor_2 ]
  local p_val = r(p)
outreg2  using "${WALN_output}/ATE.xls", excel dec(3) ctitle("Had a child post treatment") keep(Dmentor_1 Dmentor_2) addstat(Control group mean -follow-up 1, `C_mean', Control group mean -follow-up 2, `C_mean_2', p-val, `p_val')  label append


   
*****************************************************
************ HETEROGENEOUS TREATMENT EFFECTS ********
*****************************************************

************ DEPENDING ON: AT LEAST ONE SON AT BASELINE ***************

 
reg a2113  Dmentor_1 Dmentor_2 time num_child_bl  ib(3).mentor_strat_bl_1 married level_educ Age  age_square a211_bl a211a_bl if Age<50 & at_least_son==0 & married==1 
est store reg1
 sum a2113   if  Dmentor==0 & time ==0 & Age<50 & at_least_son==0 & married==1
  local C_mean = r(mean)
outreg2  using "${WALN_output}/HTE_son.xls", excel dec(3) ctitle("Not at least one son") keep( Dmentor_1 Dmentor_2 ) addstat(Control group mean, `C_mean')  label replace

reg a2113  Dmentor_1 Dmentor_2 time num_child_bl ib(3).mentor_strat_bl_1 married level_educ Age  age_square a211_bl a211a_bl if Age<50 & at_least_son==1 & married==1 
est store reg2
 sum a2113   if  Dmentor==0 & time ==0 & Age<50 & at_least_son==1 & married==1
  local C_mean = r(mean)
outreg2  using "${WALN_output}/HTE_son.xls", excel dec(3) ctitle("At least one son") keep( Dmentor_1 Dmentor_2 ) addstat(Control group mean, `C_mean')  label append

suest reg1 reg2
test [reg1_mean]Dmentor_1 =[reg2_mean]Dmentor_1
local p_val_1 = r(p)
test [reg1_mean]Dmentor_2 =[reg2_mean]Dmentor_2
local p_val_2 = r(p)

putexcel set "${WALN_output}/HTE_son_test.xlsx", sheet("test diff")  replace
putexcel A1="p-val period 1" B1="p-val period 2"
putexcel A2=`p_val_1' B2=`p_val_2'




